Skip to main content
POST
/
notifications
/
company-defaults
/
{type_code}
Update Company Notification Default
curl --request POST \
  --url https://www.corgea.app/api/v1/notifications/company-defaults/{type_code} \
  --header 'CORGEA-TOKEN: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email_enabled": true,
  "webhook_enabled": true
}
'
import requests

url = "https://www.corgea.app/api/v1/notifications/company-defaults/{type_code}"

payload = {
"email_enabled": True,
"webhook_enabled": True
}
headers = {
"CORGEA-TOKEN": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'CORGEA-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email_enabled: true, webhook_enabled: true})
};

fetch('https://www.corgea.app/api/v1/notifications/company-defaults/{type_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "ok"
}
{
"error": "Invalid JSON body"
}
{
"error": "Missing or invalid authorization header"
}
{
"error": "Admin permission required"
}
{
"error": "Unknown notification type"
}

Authorizations

CORGEA-TOKEN
string
header
required

API key for authentication

Path Parameters

type_code
string
required

Notification type code, such as scheduled_scan.daily_report

Body

application/json
email_enabled
boolean | null

Set true or false, or null to inherit the platform default

webhook_enabled
boolean | null

Set true or false, or null to inherit the platform default

Response

Request completed successfully

status
string
Example:

"ok"